/*******************************************************************
/*  VerbalUnit.h
/*  Author: Vadim Berman
/*
/*  Description:
/*  declaration of non-member functions related to verbal interaction
/*  of any kind
/*
/*  The contents of this file are subject to the Brainiac Public License.
/*  Version 1.0 (the "License"); you may not use this file except in
/*  compliance with the License. You may obtain a copy of the License at
/*  http://www.twilightminds.com
/*
/*  Software distributed under the License is distributed on an "AS IS"
/*  basis WITHOUT WARRANTY OF ANY KIND, either express or implied. See
/*  the License for the specific language governing rights and limitations
/*  under the License.
/*
/*  Copyright (C) 1999 Twilight Minds. All rights reserved.
/********************************************************************/
//---------------------------------------------------------------------------
#ifndef VerbalUnitH
#define VerbalUnitH
#include "CommonUnit.h"
#include "ActionsUnit.h"
#include "AlignmentUnit.h"
//---------------------------------------------------------------------------
EXPO char *BBECALL GetVerbalOutput();
EXPO char *BBECALL AbuseGenerator(Core&,Core&, unsigned char );
EXPO percentage BBECALL AcceptDealProposal(Action *);
EXPO percentage BBECALL AcceptRequest(Action *,Core *);
EXPO BOOL BBECALL AcceptDiffWealth(Core *,Core *,short);
EXPO percentage BBECALL MaxDiffWealth(Core *,Core *);
EXPO ActionError BBECALL AcceptStatement(Action *, Core *);
EXPO ActionError BBECALL AcceptThreat(Action *, ID = GOAL_NONE, Agent * = NULL);
EXPO short BBECALL SelectItemForDealProposal(ItemPtrArr,short ,
        Core& , percentage ,
        percentage );
//---------------------------------------------------------------------------
#endif
